Subject: bug#68320: 30.0.50; filename completion with tramp fails on Windows

From: Michael Albinus <[email-masked]>
Date: Tue, 09 Jan 2024 11:14:24 +0100

Corwin Brust <[email-masked]> writes:

Hi,

>> 1. Start Emacs that is placed in D: drive.
>> 2. Evaluate (require 'tramp) to load tramp.el.
>> 3. Type C-x C-f c : / TAB TAB
>
> I can reproduce this by starting Emacs placed in an H: drive and then
> attempting to complete starting from C-x C-f c:/p <TAB> which should
> offer me a folder called "projects" however the completion candidates
> appear to be from my HOME directory (set by Environment Variable
> before starting Emacs).

FTR, I can also reproduce the problem. Will check next days whether I
could fix the problem. (Testing on MS Windows is always a burden to me.)

Best regards, Michael.